Usage: Z:\019\jxl\2020\cjxl.exe INPUT OUTPUT [SPOT] [OPTIONS...]
 INPUT
    the input can be PNG, APNG, GIF, JPEG, EXR, PPM, PFM, or PGX
 OUTPUT
    the compressed output file (optional)
 -V, --version
    print version number and exit
 --quiet
    be more silent
 --container
    encode using container format
 --print_profile=0|1
    print timing information before exiting
 SPOT
    spot color channel (optional, for testing)
 -d maxError, --distance=maxError
    Max. butteraugli distance, lower = higher quality. Range: 0 .. 15.
    0.0 = mathematically lossless. Default for already-lossy input (JPEG/GIF).
    1.0 = visually lossless. Default for other input.
    Recommended range: 0.5 .. 3.0.
 --target_size=N
    Aim at file size of N bytes.
    Compresses to 1 % of the target size in ideal conditions.
    Runs the same algorithm as --target_bpp
 --target_bpp=BPP
    Aim at file size that has N bits per pixel.
    Compresses to 1 % of the target BPP in ideal conditions.
 -q QUALITY, --quality=QUALITY
    Quality setting. Range: -inf .. 100.
    100 = mathematically lossless. Default for already-lossy input (JPEG/GIF). Positive quality values roughly match libjpeg quality.

 -s SPEED, --speed=SPEED
    Encoder effort/speed setting. Valid values are:
    3|falcon| 4|cheetah| 5|hare| 6|wombat| 7|squirrel| 8|kitten| 9|tortoise
    Default: squirrel (7). Values are in order from faster to slower.
 -p, --progressive
    Enable progressive/responsive decoding.
 --middleout
    Put center groups first in the compressed file.
 --progressive_ac
    Use the progressive mode for AC.
 --qprogressive_ac
    Use the progressive mode for AC.
 --progressive_dc=num_dc_frames
    Use progressive mode for DC.
 -m, --modular
    Use the modular mode (lossy / lossless).
 --use_new_heuristics
    use new and not yet ready encoder heuristics
 -j, --jpeg_transcode
    Do lossy transcode of input JPEG file (decode to pixels instead of doing lossless transcode).
 --num_threads=N
    number of worker threads (zero = none).
 --num_reps=N
    how many times to compress.
 --noise=0|1
    force enable/disable noise generation.
 --dots=0|1
    force enable/disable dots generation.
 --patches=0|1
    force enable/disable patches generation.
 --resampling=1|2|4|8
    Subsample all color channels by this factor
 --epf=-1..3
    Edge preserving filter level (-1 = choose based on quality, default)
 --gaborish=0|1
    force disable gaborish.
 --intensity_target=N
    Intensity target of monitor in nits, higher
   results in higher quality image. Must be strictly positive.
   Default is 255 for standard images, 4000 for input images known to
   to have PQ or HLG transfer function.
 --saliency_num_progressive_steps=N
 --saliency_map_filename=STRING
 --saliency_threshold=0..1
 -x key=value, --dec-hints=key=value
    color_space indicates the ColorEncoding, see Description();
icc_pathname refers to a binary file containing an ICC profile.
 --override_bitdepth=0=use from image, 1-32=override
    If nonzero, store the given bit depth in the JPEG XL file metadata (1-32), instead of using the bit depth from the original input image.
 -c 0..2, --colortransform=0..2
    0=XYB, 1=None, 2=YCbCr
 -Q luma_q[,chroma_q], --mquality=luma_q[,chroma_q]
    [modular encoding] lossy 'quality' (100=lossless, lower is more lossy)
 -I F, --iterations=F
    [modular encoding] fraction of pixels used to learn MA trees (default=0.5, try 0 for no MA and fast decode)
 -C K, --colorspace=K
    [modular encoding] color transform: 0=RGB, 1=YCoCg, 2-37=RCT (default: try several, depending on speed)
 -g K, --group-size=K
    [modular encoding] set group size to 128 << K (default: 1)
 -P K, --predictor=K
    [modular encoding] predictor(s) to use: 0=zero, 1=left, 2=top, 3=avg0, 4=select, 5=gradient, 6=weighted, 7=topright, 8=topleft, 9=leftleft, 10=avg1, 11=avg2, 12=avg3, 13=toptop predictive average 14=mix 5 and 6, 15=mix everything. Default 14, at slowest speed default 15
 -E K, --extra-properties=K
    [modular encoding] number of extra MA tree properties to use
 -N max_d, --near-lossless=max_d
    [modular encoding] apply near-lossless preprocessing with maximum delta = max_d
 --palette=K
    [modular encoding] use a palette if image has at most K colors (default: 1024)
 --lossy-palette
    [modular encoding] quantize to a palette that has fewer entries than would be necessary for perfect preservation; for the time being, it is recommended to set --palette=0 with this option to use the default palette only
 -X PERCENT, --pre-compact=PERCENT
    [modular encoding] compact channels (globally) if ratio used/range is below this (default: 80%)
 -Y PERCENT, --post-compact=PERCENT
    [modular encoding] compact channels (per-group) if ratio used/range is below this (default: 80%)
 -R K, --responsive=K
    [modular encoding] do Squeeze transform, 0=false, 1=true (default: true if lossy, false if lossless)
 -v, --verbose
    Verbose output (also applies to help).
 -h, --help
    Prints this help message.
